package cn.bsl.bxbg.zhiban.adapter;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;

import java.util.List;

import butterknife.BindView;
import butterknife.ButterKnife;
import cn.bsl.bxbg.zhiban.R;
import cn.bsl.bxbg.zhiban.bean.AllPersonBean;

/**
 * Created by Xinghx on 2018/3/20 0020.
 */

public class DutyChangePeopleAdapter extends BaseAdapter {

    private List<AllPersonBean> allPersonBeen;

    public DutyChangePeopleAdapter(List<AllPersonBean> allPersonBeen) {
        this.allPersonBeen = allPersonBeen;
    }

    @Override
    public int getCount() {
        return allPersonBeen.size();
    }

    @Override
    public Object getItem(int position) {
        return null;
    }

    @Override
    public long getItemId(int position) {
        return 0;
    }

    @Override
    public View getView(int position, View convertView, ViewGroup parent) {
        ViewHolder viewHolder = null;
        if (convertView == null) {
            convertView = LayoutInflater.from(parent.getContext())
                    .inflate(R.layout.item_duty_people, parent, false);
            viewHolder = new ViewHolder(convertView);
            convertView.setTag(viewHolder);
        } else {
            viewHolder = (ViewHolder) convertView.getTag();
        }
        viewHolder.username.setText(allPersonBeen.get(position).getUserName());
        viewHolder.changePeoplePy.setText(allPersonBeen.get(position).getFirstWord());

        if (position == 0) {
            viewHolder.changePeoplePy.setVisibility(View.VISIBLE);
        } else {
            if (allPersonBeen.get(position).getFirstWord()
                    .equals(allPersonBeen.get(position - 1).getFirstWord())) {
                allPersonBeen.get(position).setShow(false);
                if (!allPersonBeen.get(position).isShow()) {
                    viewHolder.changePeoplePy.setVisibility(View.GONE);
                } else {
                    viewHolder.changePeoplePy.setVisibility(View.VISIBLE);
                }
            }
        }


        return convertView;
    }

    static class ViewHolder {
        @BindView(R.id.change_people_py)
        TextView changePeoplePy;
        @BindView(R.id.username)
        TextView username;

        ViewHolder(View view) {
            ButterKnife.bind(this, view);
        }
    }
}
